{% extends 'templates.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Update on Books!</title>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{% static 'tutorial_1.css' %}" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <meta name="google-signin-client_id" content="999533023599-f1b247rlm9b9apj8q1tol9r2so73jjon.apps.googleusercontent.com">
    <script src="https://apis.google.com/js/platform.js"></script>
    <script src="{% static 'javascript.js' %}"></script>
</head>
</head>
<body class = "bgimg">
<div class="container">
    <h1 style="margin-top:10vmax"> l i s t    o f    b o o k s </h1>
    <h3 id="hi"></h3>
    <div class="signout"><a href="{% url 'logout' %}" onclick="signOut()">Sign out</a></div>    
        {% csrf_token %}
            <div class="table-responsive">          
            <table class="table" >
            <tr>
                <th>Title</th>
                <th>Authors</th>
                <th>Published Date</th>
                <th>Jumlah:<p id="jum">0</p></th>
            </tr>
        </table>
        <!-- <button class = "cooking" style="color:black">Change To Cooking Books?</button>       -->
        <button class = "quilting" style="color:black">Change To Quilting Books?</button>       
            </div>
        </div>
        <script>
            var num = 0;
            findName()

            function findName(){
                $.ajax({
                        method: "GET",
                        url: "getName", // url yang akan dipanggil
                        success: function (hasil) {
                            $("#hi").text("Hello, " + hasil.name)
                        }, error: function(hasil){
                            alert("error!");
                        }
                });
            }
            $(".quilting").click(function(){
                $('table td').remove()
                url = "quilting";
                change(url);
            });
    
            function change(url){
                $.ajax({
                        method: "GET",
                        url: "cekFav/" + url, // url yang akan dipanggil
                        success: function (hasil) {
                            var data = hasil.data; //key return
                            tr = $('<tr/>');
                            for (var x = 0; x < data.length; x++) {
                                var dataBook = data[x];
                                var title = dataBook.title;
                                var name = title.replace(/'/g, "\\");
                                tr = $('<tr/>');
                                tr.append("<td>" + name + "</td>");
                                tr.append("<td>" + dataBook.authors + "</td>");
                                tr.append("<td>" + dataBook.published + "</td>");
                                var button;
                                if(dataBook.boolean){
                                    button = `<td>
                                                <button class="star" onclick="unFavorite('` + title + "', '" + dataBook.id + `')" id="` + dataBook.id + `">
                                                <svg height="100px" width="100px" class="stardust">
                                                    <circle cx="50" cy="50" r="24" stroke="#ca12ea" stroke-width="5" fill="transparent" />
                                                </svg>
                                                <i class="fa fa-star"></i>
                                                </button>
                                                `;
                                }else{
                                    button = `<td>
                                            <button class="star" onclick="Favorite('` + name + "', '" + dataBook.id + `')" id="` + dataBook.id + `">
                                            <svg height="100px" width="100px" class="stardust">
                                                <circle cx="50" cy="50" r="24" stroke="#ca12ea" stroke-width="5" fill="transparent" />
                                            </svg>
                                            <i class="fa fa-star"></i>
                                            </button>
                                            </td>`;
                                }
                                tr.append(button);
                                $('table').append(tr);
                                if(dataBook.boolean){
                                    $("#" + dataBook.id).toggleClass("active");
                                }else{
                                    $("#" + dataBook.id).toggleClass("active");
                                    $("#" + dataBook.id).toggleClass("active");
                                }
                                $("#jum").text(hasil.total);
                            }
                        }, error: function(hasil){
                            alert("error!");
                        }
                });
                }


                //     var tr;
                //     for (var i = 0; i < data.items.length; i++) {
                //         tr = $('<tr/>');
                //         tr.append("<td>" + data.items[i].volumeInfo.title + "</td>");
                //         tr.append("<td>" + sub + "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.authors+ "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.publisher+ "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.publishedDate+ "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.description+ "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.pageCount+ "</td>");
                //         tr.append("<td>" + data.items[i].volumeInfo.categories+ "</td>");
                //         tr.append("<td><a>" + data.items[i].volumeInfo.previewLink+ "</a></td>");
                //         var button = `<td>
                //                 <button class="star" onclick="Favorite()" id="` + data.items[i].id + `">
                //                 <svg height="100px" width="100px" class="stardust">
                //                     <circle cx="50" cy="50" r="24" stroke="#ca12ea" stroke-width="5" fill="transparent" />
                //                 </svg>
                //                 <i class="fa fa-star"></i>
                //                 </button>
                //                 </td>`;
                //         tr.append(button);
                //         $('table').append(tr);
                //     }
                // }
            
            function Favorite(title, id) {
                var csrftoken = $("[name=csrfmiddlewaretoken]").val();
                $.ajax({
                    method: "POST",
                    url: "favorite",
                    headers: {
                        "X-CSRFToken": csrftoken
                    },
                    data: {title: title, id: id},
                    success: function (hasil) {
                        console.log(hasil)
                        var button = `
                            <button class="star" onclick="unFavorite('` + title + "', '" + hasil.id + `')" id="` + hasil.id + `">
                            <svg height="100px" width="100px" class="stardust">
                                <circle cx="50" cy="50" r="24" stroke="#ca12ea" stroke-width="5" fill="transparent" />
                            </svg>
                            <i class="fa fa-star"></i>
                            </button>
                            `;
                        $("#" + hasil.id).replaceWith(button);
                        $("#" + hasil.id).toggleClass("active");
                        $("#jum").text(hasil.count);
                    },
                    error: function (error) {
                        alert("Error, cannot get data from server!")
                    }
                });
            };

            function unFavorite(title, id) {
                var csrftoken = $("[name=csrfmiddlewaretoken]").val();
                $.ajax({
                    method: "POST",
                    url: "unfavorite",
                    headers: {
                        "X-CSRFToken": csrftoken
                    },
                    data: {title: title, id: id},
                    success: function (hasil) {
                        console.log(hasil)
                        var button = `
                            <button class="star" type="submit" onclick="Favorite('` + title + "', '" + hasil.id + `')" id="` + hasil.id + `">
                            <svg height="100px" width="100px" class="stardust">
                                <circle cx="50" cy="50" r="24" stroke="#ca12ea" stroke-width="5" fill="transparent" />
                            </svg>
                            <i class="fa fa-star"></i>
                            </button>
                            `;
                        $("tbody").find("#" + id).replaceWith(button);
                        $("#" + hasil.id).toggleClass("active");
                        $("#" + hasil.id).toggleClass("active");
                        $("#jum").text(hasil.count);
                    },
                    error: function (error) {
                        alert("Error, cannot get data from server")
                    }
                });
                
            };

            $(document).ready(function () {
                gapi.load('auth2', function() {
                    gapi.auth2.init();
                });
            });


        </script>
</body>
</html>

{% endblock %}